"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const symbol_bootstrap_core_1 = require("symbol-bootstrap-core");
const CommandUtils_1 = require("../service/CommandUtils");
class Compose extends command_1.Command {
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            const { flags } = this.parse(Compose);
            CommandUtils_1.CommandUtils.showBanner();
            flags.password = yield CommandUtils_1.CommandUtils.resolvePassword(flags.password, flags.noPassword, CommandUtils_1.CommandUtils.passwordPromptDefaultMessage, true);
            yield new symbol_bootstrap_core_1.BootstrapService().compose(flags);
        });
    }
}
exports.default = Compose;
Compose.description = 'It generates the `docker-compose.yml` file from the configured network.';
Compose.examples = [`$ symbol-bootstrap compose`];
Compose.flags = {
    help: CommandUtils_1.CommandUtils.helpFlag,
    target: CommandUtils_1.CommandUtils.targetFlag,
    password: CommandUtils_1.CommandUtils.passwordFlag,
    noPassword: CommandUtils_1.CommandUtils.noPasswordFlag,
    upgrade: command_1.flags.boolean({
        description: 'It regenerates the docker compose and utility files from the <target>/docker folder',
        default: symbol_bootstrap_core_1.ComposeService.defaultParams.upgrade,
    }),
    user: command_1.flags.string({
        char: 'u',
        description: `User used to run the services in the docker-compose.yml file. "${symbol_bootstrap_core_1.BootstrapUtils.CURRENT_USER}" means the current user.`,
        default: 'current',
    }),
};
//# sourceMappingURL=compose.js.map