"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const symbol_bootstrap_core_1 = require("symbol-bootstrap-core");
const service_1 = require("../service");
const logger = symbol_bootstrap_core_1.LoggerFactory.getLogger(symbol_bootstrap_core_1.LogType.System);
class Verify extends command_1.Command {
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            service_1.CommandUtils.showBanner();
            const service = new symbol_bootstrap_core_1.VerifyService();
            const report = yield service.createReport();
            service.logReport(report, logger);
        });
    }
}
exports.default = Verify;
Verify.description = 'It tests the installed software in the current computer reporting if there is any missing dependency, invalid version, or software related issue.';
Verify.examples = [`$ symbol-bootstrap verify`];
Verify.flags = {
    help: service_1.CommandUtils.helpFlag,
};
//# sourceMappingURL=verify.js.map