import { Addresses, ConfigPreset, NodeAccount } from 'symbol-bootstrap-core';
import { AccountInfo, Deadline, Transaction, UInt64 } from 'symbol-sdk';
import { TransactionFactory } from './AnnounceService';
export declare type LinkParams = {
    target: string;
    password?: string;
    url: string;
    maxFee?: number | undefined;
    unlink: boolean;
    useKnownRestGateways: boolean;
    ready?: boolean;
    customPreset?: string;
    removeOldLinked?: boolean;
};
export interface LinkServiceTransactionFactoryParams {
    presetData: ConfigPreset;
    nodeAccount: NodeAccount;
    mainAccountInfo: AccountInfo;
    deadline: Deadline;
    maxFee: UInt64;
    latestFinalizedBlockEpoch?: number;
}
export declare class LinkService implements TransactionFactory {
    protected readonly params: LinkParams;
    static readonly defaultParams: LinkParams;
    private readonly configLoader;
    constructor(params: LinkParams);
    run(passedPresetData?: ConfigPreset | undefined, passedAddresses?: Addresses | undefined): Promise<void>;
    createTransactions({ presetData, nodeAccount, mainAccountInfo, deadline, maxFee, latestFinalizedBlockEpoch, }: LinkServiceTransactionFactoryParams): Promise<Transaction[]>;
    private confirmUnlink;
}
//# sourceMappingURL=LinkService.d.ts.map